Skip to main content
GET
/
v1beta1
/
cks
/
clusters
List clusters
curl --request GET \
  --url https://api.coreweave.com/v1beta1/cks/clusters \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "name": "<string>",
      "zone": "<string>",
      "vpcId": "<string>",
      "version": "<string>",
      "network": {
        "podCidrName": "<string>",
        "serviceCidrName": "<string>",
        "internalLbCidrNames": [
          "<string>"
        ],
        "serviceNodePortRange": {
          "start": 123,
          "end": 123
        }
      },
      "id": "<string>",
      "public": true,
      "oidc": {
        "issuerUrl": "<string>",
        "clientId": "<string>",
        "usernameClaim": "<string>",
        "usernamePrefix": "<string>",
        "groupsClaim": "<string>",
        "groupsPrefix": "<string>",
        "ca": "<string>",
        "requiredClaim": "<string>",
        "adminGroupBinding": "<string>",
        "signingAlgorithms": [
          "<string>"
        ]
      },
      "authzWebhook": {
        "server": "<string>",
        "ca": "<string>"
      },
      "authnWebhook": {
        "server": "<string>",
        "ca": "<string>"
      },
      "auditPolicy": "<string>",
      "apiServerEndpoint": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "isUpgradeable": true,
      "disableOidcInfoPublication": true,
      "kubelet": {},
      "additionalServerSans": [
        "<string>"
      ],
      "tailscale": {
        "clientId": "<string>",
        "tailnetDomain": "<string>"
      },
      "status": "<string>"
    }
  ],
  "unreachable": [
    "<string>"
  ]
}
Use this endpoint to enumerate every CKS cluster the caller has access to. Results span all Availability Zones.
Example request
curl -X GET https://api.coreweave.com/v1beta1/cks/clusters \
       -H "Content-Type: application/json" \
       -H "Authorization: Bearer {API_ACCESS_TOKEN}"

Authorizations

Authorization
string
header
default:Bearer {API_ACCESS_TOKEN}
required

CoreWeave API access token sent as a bearer token.

Query Parameters

returnPartialSuccess
boolean

Setting this field to true will opt the request into returning the clusters in reachable zones and will populate unreachable zones in the [ListClustersResponse.unreachable] field. This can only be set to true if the request is made to the global endpoint.

Response

OK

items
object[]

The list of clusters.

unreachable
string[]

Unreachable zones. Populated when the request opts into return_partial_success and ListClustersRequest is made to the global endpoint.

Last modified on June 15, 2026